Package org.flowable.engine.delegate.event.impl

# Class BpmnModelEventDispatchAction

java.lang.Object
org.flowable.engine.delegate.event.impl.BpmnModelEventDispatchAction

All Implemented Interfaces:
  `org.flowable.common.engine.impl.event.EventDispatchAction`

public class BpmnModelEventDispatchAction extends Object implements org.flowable.common.engine.impl.event.EventDispatchAction

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BpmnModelEventDispatchAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispatchEvent(org.flowable.common.engine.impl.interceptor.CommandContext commandContext, org.flowable.common.engine.impl.event.FlowableEventSupport eventSupport, FlowableEvent event)`
  `protected BpmnModel`
  `extractBpmnModelFromEvent(FlowableEvent event)`
  In case no process-context is active, this method attempts to extract a process-definition based on the event.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BpmnModelEventDispatchAction

    public BpmnModelEventDispatchAction()

- ## Method Details

  - ### dispatchEvent

    public void dispatchEvent(org.flowable.common.engine.impl.interceptor.CommandContext commandContext, org.flowable.common.engine.impl.event.FlowableEventSupport eventSupport, FlowableEvent event)
    Specified by:
      `dispatchEvent` in interface `org.flowable.common.engine.impl.event.EventDispatchAction`

  - ### extractBpmnModelFromEvent

    protected BpmnModel extractBpmnModelFromEvent(FlowableEvent event)
    In case no process-context is active, this method attempts to extract a process-definition based on the event. In case it's an event related to an entity, this can be deducted by inspecting the entity, without additional queries to the database. If not an entity-related event, the process-definition will be retrieved based on the processDefinitionId (if filled in). This requires an additional query to the database in case not already cached. However, queries will only occur when the definition is not yet in the cache, which is very unlikely to happen, unless evicted.
    Parameters:
      `event` -
    Returns: